

#ifndef CLASSDATA_H
#define CLASSDATA_H 1

/*
**
**  $VER: classdata.h 1.2 (9.6.97)
**  acbm.datatype 1.2
**
**  acbm class data
**
**  Written 1996/97 by Roland 'Gizzy' Mainz
**  Original example source from David N. Junod
**
*/

/*****************************************************************************/

/* public BOOPSI class name */
#define ACBMDTCLASS "acbm.datatype"

/*****************************************************************************/

/* ACBM IFF defines and macros: */

/* Generic IFF Chunk ID's we may encounter */
#ifndef ID_ANNO
#define ID_ANNO         MAKE_ID( 'A', 'N', 'N', 'O' )
#endif /* !ID_ANNO */

#ifndef ID_AUTH
#define ID_AUTH         MAKE_ID( 'A', 'U', 'T', 'H' )
#endif /* !ID_AUTH */

#ifndef ID_Copyright
#define ID_Copyright    MAKE_ID( '(', 'c', ')', ' ' )
#endif /* !ID_Copyright */

#ifndef ID_FVER
#define ID_FVER         MAKE_ID( 'F', 'V', 'E', 'R' )
#endif /* !ID_FVER */

#ifndef ID_NAME
#define ID_NAME         MAKE_ID( 'N', 'A', 'M', 'E' )
#endif /* !ID_NAME */

/* IFF ACBM identifers */
#ifndef ID_ACBM
#define ID_ACBM MAKE_ID( 'A', 'C', 'B', 'M' )
#endif /* !ID_ACBM */

#ifndef ID_BMHD
#define ID_BMHD MAKE_ID( 'B', 'M', 'H', 'D' )
#endif /* !ID_BMHD */

#ifndef ID_CMAP
#define ID_CMAP MAKE_ID( 'C', 'M', 'A', 'P' )
#endif /* !ID_CMAP */

#ifndef ID_CAMG
#define ID_CAMG MAKE_ID( 'C', 'A', 'M', 'G' )
#endif /* !ID_CMAP */

/* misc */
#ifndef ID_ABIT
#define ID_ABIT MAKE_ID( 'A', 'B', 'I', 'T' )
#endif /* !ID_ABIT */

/*****************************************************************************/

/* from IFF example code ("iffp/ilbm.h") */
#define RowBytes( w )     ((((w) + 15) >> 4) << 1)
#define RowBits( w )      ((((w) + 15) >> 4) << 4)

#define MaxSrcPlanes      (25)

/*****************************************************************************/

#ifdef COMMENTED_OUT

/* acbm.datatype instance data */
struct ACBMInstData
{
};

#endif /* COMMENTED_OUT */

/*****************************************************************************/


#endif /* !CLASSDATA_H */


